<?

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$i18n = $serverScriptHelper->getI18n("base-winshare");
$cce = $serverScriptHelper->getCceClient();

$factory = $serverScriptHelper->getHtmlComponentFactory("base-winshare");
$page = $factory->getPage();

$scrollList = $factory->getScrollList("windowsMachinesList",array("wm_name", "wm_remarks", "wm_actions"));
$scrollList->setAlignments(array("left", "left", "center"));
$scrollList->setColumnWidths(array("","", "1%"));

$oids = $cce->find("WindowsMachine");
foreach ($oids as $oid) {
	$obj = $cce->get($oid);
	$scrollList->addEntry(array(
		$factory->getTextField("", $obj[name], "r"),
		$factory->getTextField("", $obj[description], "r"),
		$factory->getCompositeFormField(array(
			$factory->getModifyButton("modMachine.php?oid=$oid"),
			$factory->getRemoveButton("javascript: confirmRemove('$obj[name]', '".rawurlencode($obj["name"])."')")
		))
	));
}

$scrollList->addButton(
	$factory->getAddButton("modMachine.php", "[[base-winshare.wm_addMachine_help]]")
);


print $page->toHeaderHtml();
?>
<script language="javascript">
function confirmRemove(machineName, sendName) {
  var message = "<?php print($i18n->get("removeMachineConfirm"))?>";
  message = top.code.string_substitute(message, "[[VAR.machineName]]", machineName);

while(sendName.indexOf("&") != -1){
  sendName=top.code.string_substitute(sendName, "&", "%26");
}

while(sendName.indexOf("+") != -1){
  sendName=top.code.string_substitute(sendName, "+", "%2B");
}

  if(confirm(message))
    location = "machineRemove.php?name="+sendName;
}
</SCRIPT>
<?

$backButton = $factory->getBackButton("/base/winshare/winshare.php");
print $scrollList->toHtml();
print "<BR>" . $backButton->toHtml();
print $page->toFooterHtml();
