<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: winshareHandler.php,v 1.8 2001/12/07 23:57:57 will Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

$oids = $cceClient->find("System");
$cceClient->set($oids[0], "WinShare", array(
	"enabled" => $enableServerField, 
	"maxConnections" => $maxUserField));
$errors = $cceClient->errors();

// make a setting map
$optionToSetting = array("winsServerNone" => "none", "winsServerSelf" => "self", "winsServerOthers" => "others");

$cceClient->set($oids[0], "WinNetwork", array(
	"enabled" => $enableServerField, 
	"workgroup" => strtoupper($workgroupField), 
	"domainLogon" => $networkLogonField, 
	"winsSetting" => $optionToSetting[$winsServerField], 
	"winsIpAddress" => $winsServerIpAddressField));
$errors = array_merge($errors, $cceClient->errors());

print($serverScriptHelper->toHandlerHtml("/base/winshare/winshare.php", 
	$errors));

$serverScriptHelper->destructor();
?>
